Skip to main content
Back to API List Retrieves a paginated list of Agent AI conversation records within a specified date range.
The maximum duration supported for the date range is 7 days.

API Details

ParameterDescription
MethodPOST
Endpointhttps://{{host}}/agentassist/api/v1/public/{{botid}}/aaconversation
Content Typeapplication/json
Authorizationauth: {{JWT}}: See How to generate the JWT Token
ScopeAgentAssist Analytics: See Associate API Scopes

Path Parameters

ParameterRequiredDescription
hostYesThe environment URL. For example, https://platform.kore.ai.
botidYesThe unique bot identifier. Example: st-79a76d65-d540-5b33-96d5-9bf3eebxxxxx

Header Parameters

ParameterTypeRequiredDescription
accountidStringYesUnique identifier of the customer account making the request.

Body Parameters

ParameterTypeRequiredDescription
fromString (YYYY-MM-DD)YesStart date for fetching conversation records.
toString (YYYY-MM-DD)YesEnd date for fetching conversation records.
pageIntegerNoPage number for paginated results. Default: 1
limitIntegerNoNumber of records per page. Maximum: 20.
includeHistoryBooleanNoIf true, includes conversation history. Default: false

Sample Request

curl --location 'https://{{host}}/agentassist/api/v1/public/{{botid}}/aaconversation' \
--header 'accountId: 660aafa0c0971e56e27xxxxx' \
--header 'auth: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
--header 'Content-Type: application/json' \
--data '{
    "from": "2025-10-13",
    "to": "2025-10-13",
    "page": 2,
    "limit": 20,
    "includeHistory": false
}'

Sample Response

{
    "results": [
        {
            "_id": "68ececc87a98f960ee0xxxxx",
            "convId": "UAT-Master-Bot-1xxxxx",
            "botId": "st-841b5cd4-6393-5561-9218-34e3c62xxxxx",
            "channelType": "voice",
            "isExtAD": true,
            "startTime": "2025-10-13T12:12:56.561Z",
            "aaSessionId": "68ececc803cec129ea9xxxxx",
            "aaUserId": "u-b92404aa-f0cd-541f-ad4a-9ed4dd8xxxxx"
        },
        {
            "_id": "68ecee337a98f960ee0xxxxx",
            "convId": "UAT-Master-Bot-1xxxxx",
            "botId": "st-841b5cd4-6393-5561-9218-34e3c62xxxxx",
            "channelType": "voice",
            "isExtAD": true,
            "startTime": "2025-10-13T12:18:59.357Z",
            "aaSessionId": "68ecee3303cec129ea9xxxxx",
            "aaUserId": "u-bae3f44c-4523-5eb5-b28e-01b9e24xxxxx"
        }
    ],
    "skip": 20,
    "limit": 20,
    "hasMore": false,
    "totalPages": 2,
    "totalResults": 29
}

Response Body Parameters

ParameterTypeDescription
resultsArrayList of conversation objects retrieved.
results._idStringUnique identifier of the conversation document.
results.convIdStringConversation identifier.
results.botIdStringIdentifier of the bot handling the conversation.
results.isExtADBooleanIndicates whether the conversation is external.
results.startTimeString (ISO 8601)Timestamp when the conversation started.
results.experienceStringExperience type, for example, chat.
results.aaSessionIdString(Optional) Agent AI session ID.
results.aaUserIdString(Optional) Agent AI user ID.
results.mbSessionIdString(Optional) Messaging backend session ID.
results.mbUserIdString(Optional) Messaging backend user ID.
results.messagesArrayList of messages exchanged in the conversation.
results.messages.botIdStringBot ID associated with the message.
results.messages.typeStringType of message, for example, incoming or outgoing.
results.messages.statusStringStatus of the message, for example, pending.
results.messages.componentsArrayList of message components, such as text or media.
results.messages.components._idStringUnique identifier of the message component.
results.messages.components.cTStringComponent type, for example, text.
results.messages.components.dataObjectData of the component, for example, { "text": "hi" }.
results.messages.components.thumbnailsArrayList of thumbnails (if any) associated with the component.
results.messages.sTInteger(Optional) Step or sequence number of the message.
results.messages.author.typeStringType of the message author.